## org.apache.commons.collections
Interface BoundedCollection

All Superinterfaces:
  Collection

All Known Implementing Classes:
  BoundedFifoBuffer, BoundedFifoBuffer, FixedSizeList, UnmodifiableBoundedCollection

public interface BoundedCollection
extends Collection

Defines a collection that is bounded in size.

The size of the collection can vary, but it can never exceed a preset maximum number of elements. This interface allows the querying of details associated with the maximum number of elements.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.11 $ $Date: 2004/04/14 20:13:11 $
Author:
  Herve Quiroz, Stephen Colebourne
See Also:
  `CollectionUtils.isFull(java.util.Collection)`, `CollectionUtils.maxSize(java.util.Collection)`

Method Summary
`boolean` `isFull()` Returns true if this collection is full and no new elements can be added.
`int` `maxSize()` Gets the maximum size of the collection (the bound).

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### isFull

    public boolean isFull()

  Returns true if this collection is full and no new elements can be added.

  Returns:
    `true` if the collection is full

### maxSize

    public int maxSize()

  Gets the maximum size of the collection (the bound).

  Returns:
    the maximum number of elements the collection can hold

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.